Page MenuHomePhabricator

Contributions page has regressed since changes to RecentChanges adding visual clutter
Closed, ResolvedPublic

Description

After the implementation of T225124 the contributions page looked like so:

Now it looks like so:

What has changed:

  • del/undel have appeared at the front of each row
  • tags are now styled differently as a result of the Recent Changes
  • the word "current" has appeared

@alexhollender are these things we'd like to clean up?

Proposal (with 3 additional CSS rules):

Event Timeline

Jdlrobson created this task.Aug 2 2019, 9:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2019, 9:27 PM

Change 527649 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Reduce visual clutter in Special:Contributions

https://gerrit.wikimedia.org/r/527649

@Jdlrobson additionally it doesn't look like we've address the visual issues I called out in T225124#5271524, is that correct? I just checked iOS and Android on Beta and am still seeing those issues.

ovasileva triaged this task as Medium priority.Aug 5 2019, 3:20 PM
Jdlrobson added a comment.EditedAug 5 2019, 5:49 PM

@Jdlrobson additionally it doesn't look like we've address the visual issues I called out in T225124#5271524, is that correct? I just checked iOS and Android on Beta and am still seeing those issues.

I looked into those. The form styles are blocked on T117736 (that causes the radio and select issues). Right now I am concentrating only on the results styles.

Change 527649 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Reduce visual clutter in Special:Contributions

https://gerrit.wikimedia.org/r/527649

ovasileva raised the priority of this task from Medium to High.Aug 7 2019, 3:42 PM

Please check this out on beta cluster and move to sign off.

@Jdlrobson looks good to me:

  • no longer seeing del/undel have at the front of each row
  • tags look good
  • no longer seeing the word "current" in front of the tags

ovasileva closed this task as Resolved.Aug 8 2019, 5:42 PM

Looks good, resolving